Skip to main content
Infrastructure/Change Management

GetCalendarConflicts

Detect scheduling conflicts between change requests in a time range

GET/api/v1/change-management/calendar/conflicts

Operation ID

GetCalendarConflicts

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • start
    String

    Start

  • end
    String

    The end value

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • hasConflict
    Boolean

    Whether any conflicts were detected in the schedule

    Example: true

  • conflicts
    List

    List of detected conflicts

    Example: (nested array)

    • type
      String

      Category of the detected conflict

      Example: overlap

    • userId
      String

      User ID involved in the conflict

      Example: user-abc123

    • userName
      String

      Display name of the user involved in the conflict

      Example: Alice Smith

    • details
      String

      Additional context about the conflict

      Example: Overlapping shifts on 2024-06-01

  • suggestions
    List

    List of resolution suggestions for the detected conflicts

    Example: (nested array)

    • type
      String

      Category of the suggested resolution action

      Example: swap_shift

    • description
      String

      Human-readable explanation of the suggestion

      Example: Swap shift between user-abc123 and user-xyz789